OpenGL-3.0.3.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.GL.Fog

Description

This module corresponds to section 3.10 (Fog) of the OpenGL 2.1 specs.

# Documentation

fog :: StateVar Capability Source #

data FogMode Source #

Constructors

Linear GLfloat GLfloat |
Exp GLfloat |
Exp2 GLfloat |

#### Instances

Instances details

Show FogMode Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Fog Methods showsPrec :: Int -> FogMode -> ShowS Source # show :: FogMode -> String Source # showList :: [FogMode] -> ShowS Source #
Eq FogMode Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Fog Methods (==) :: FogMode -> FogMode -> Bool Source # (/=) :: FogMode -> FogMode -> Bool Source #
Ord FogMode Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Fog Methods compare :: FogMode -> FogMode -> Ordering Source # (<) :: FogMode -> FogMode -> Bool Source # (<=) :: FogMode -> FogMode -> Bool Source # (>) :: FogMode -> FogMode -> Bool Source # (>=) :: FogMode -> FogMode -> Bool Source # max :: FogMode -> FogMode -> FogMode Source # min :: FogMode -> FogMode -> FogMode Source #

fogMode :: StateVar FogMode Source #

fogColor :: StateVar (Color4 GLclampf) Source #

fogIndex :: StateVar (Index1 GLint) Source #

data FogCoordSrc Source #

Constructors

FogCoord |
FragmentDepth |

#### Instances

Instances details

Show FogCoordSrc Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Fog Methods showsPrec :: Int -> FogCoordSrc -> ShowS Source # show :: FogCoordSrc -> String Source # showList :: [FogCoordSrc] -> ShowS Source #
Eq FogCoordSrc Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Fog Methods (==) :: FogCoordSrc -> FogCoordSrc -> Bool Source # (/=) :: FogCoordSrc -> FogCoordSrc -> Bool Source #
Ord FogCoordSrc Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Fog

Methods

compare :: FogCoordSrc -> FogCoordSrc -> Ordering Source #

(<) :: FogCoordSrc -> FogCoordSrc -> Bool Source #

(<=) :: FogCoordSrc -> FogCoordSrc -> Bool Source #

(>) :: FogCoordSrc -> FogCoordSrc -> Bool Source #

(>=) :: FogCoordSrc -> FogCoordSrc -> Bool Source #

max :: FogCoordSrc -> FogCoordSrc -> FogCoordSrc Source #

min :: FogCoordSrc -> FogCoordSrc -> FogCoordSrc Source #

fogCoordSrc :: StateVar FogCoordSrc Source #

data FogDistanceMode Source #

Constructors

EyeRadial |
EyePlaneSigned |
EyePlaneAbsolute |

#### Instances

Instances details

Show FogDistanceMode Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Fog Methods showsPrec :: Int -> FogDistanceMode -> ShowS Source # show :: FogDistanceMode -> String Source # showList :: [FogDistanceMode] -> ShowS Source #
Eq FogDistanceMode Source # |
Instance details Defined in Graphics.Rendering.OpenGL.GL.Fog Methods (==) :: FogDistanceMode -> FogDistanceMode -> Bool Source # (/=) :: FogDistanceMode -> FogDistanceMode -> Bool Source #
Ord FogDistanceMode Source # |

Instance details

Defined in Graphics.Rendering.OpenGL.GL.Fog

Methods

compare :: FogDistanceMode -> FogDistanceMode -> Ordering Source #

(<) :: FogDistanceMode -> FogDistanceMode -> Bool Source #

(<=) :: FogDistanceMode -> FogDistanceMode -> Bool Source #

(>) :: FogDistanceMode -> FogDistanceMode -> Bool Source #

(>=) :: FogDistanceMode -> FogDistanceMode -> Bool Source #

max :: FogDistanceMode -> FogDistanceMode -> FogDistanceMode Source #

min :: FogDistanceMode -> FogDistanceMode -> FogDistanceMode Source #

fogDistanceMode :: StateVar FogDistanceMode Source #